ListTransactions

Retrieve a list of all transactions in a vault.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
string

A filter string to filter the results. More details about filtering can be found in the Filtering Documentation Page.

Supported fields and functions:

NameTypeDescriptionExample
create_timestringFilter by creation time.create_time > "2023-08-29T18:04:00Z"
statefunction(enum...)Filter by one or more states.state(AWAITING_APPROVAL,AWAITING_SIGNATURE)
spamfunction(bool)Filter by spam status.spam(false)
from_walletfunction(string...)Filter by one or more source wallets.from_wallet("0x1234567890")
to_walletfunction(string...)Filter by one or more destination wallets.to_wallet("0x1234567890")
pending_user_approvalfunction(string)Filter by user for which the transaction is awaiting approvalpending_user_approval("users/[email protected]")
assetfunction(string...)Filter by one or more assets. Supports v2 asset aliases.asset("assets/erc20.ethereum-mainnet.0x6b175474e89094c44da98b954eedeac495271d0f")
external_idfunction(string)Filter by client-provided external ID.external_id("order-123")
string

SQL-like ordering specifications. Supports the field create_time.

int32

The maximum number of items to return. The service may return fewer than this value.

If unspecified, at most 50 will be returned.

string

A page token, received from the previous list call as nextPageToken. Provide this to retrieve the subsequent page.

When paginating, all other parameters must match the call that provided the page token.

int32

How many results to skip.

Note: may be used alongside token-based pagination (see pageToken), although this won't be needed for most use cases.

boolean

Include referenced resources in the response.

string
enum

The view of the transaction.

  • BASIC: The default view. Does not include certain fields such as blocking transactions.
  • FULL: Full view, include all fields.
Allowed:
Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json